Pular para o conteúdo principal

Não há mais suporte para esse navegador.

Atualize o Microsoft Edge para aproveitar os recursos, o suporte técnico e as atualizações de segurança mais recentes.

Baixar o Microsoft Edge Mais informações sobre o Internet Explorer e o Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Connections

Get a connection

GET /connections/{name}

Retrieves the specified connection and its configuration details without including credential values.

Parâmetros de consulta

api-version string exigido

The API version to use for this operation.

Parâmetros de caminho

name string exigido

The friendly name of the connection, provided by the user.

Parâmetros do cabeçalho

x-ms-client-request-id string

An opaque, globally-unique, client-generated string identifier for the request.

Respostas

The request has succeeded.

Cabeçalhos

x-ms-client-request-id string

An opaque, globally-unique, client-generated string identifier for the request.

Corpo

Content-Type: application/json
name string exigido

The friendly name of the connection, provided by the user.

id string exigido

A unique identifier for the connection, generated by the service

type string | enum exigido

The Type (or category) of the connection

Qualquer uma das seguintes opções:
string
enum
AzureOpenAIAzureBlobAzureStorageAccountCognitiveSearchCosmosDBApiKeyAppConfigAppInsightsCustomKeysRemoteTool_PreviewOpenAPIRemoteA2A
target string exigido

The connection URL to be used for this service

isDefault boolean exigido

Whether the connection is tagged as the default connection of its type

credentials ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview exigido

A base class for connection credentials

Um dos seguintes:
ApiKey ApiKeyCredentials

API Key Credential definition

type enum exigido

The credential type

ApiKey
key string

API Key

AAD EntraIDCredentials

Entra ID credential definition

type enum exigido

The credential type

AAD
CustomKeys CustomCredential

Custom credential definition

type enum exigido

The credential type

CustomKeys
SAS SASCredentials

Shared Access Signature (SAS) credential definition

type enum exigido

The credential type

SAS
SAS string

SAS token

None NoAuthenticationCredentials

Credentials that do not require authentication

type enum exigido

The credential type

None
AgenticIdentityToken_Preview AgenticIdentityPreviewCredentials

Agentic identity credential definition

type enum exigido

The credential type

AgenticIdentityToken_Preview
metadata object exigido

Metadata of the connection

[key: string] string

Client error

Cabeçalhos

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error exigido

The error object.

code string exigido

One of a server-defined set of error codes.

message string exigido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Cabeçalhos

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error exigido

The error object.

code string exigido

One of a server-defined set of error codes.

message string exigido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Solicitar

GET /connections/{name} HTTP/1.1

Resposta

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pt-br
Suas escolhas de privacidade
  • Aviso de isenção de responsabilidade sobre a IA
  • Versões anteriores
  • Blog
  • Contribuir
  • Privacidade
  • Privacidade da Integridade do Consumidor
  • Termos de Uso
  • Marcas Comerciais
  • © Microsoft 2026